Name:           dateutils
Version:        0.4.1
Release:        1%{?dist}
Summary:        Command-line date and time calculation, conversion, and comparison

License:        BSD
URL:            http://www.fresse.org/dateutils/
Source0:        https://github.com/hroptatyr/dateutils/releases/download/v%{version}/%{name}-%{version}.tar.xz

Requires(post):  info
Requires(preun): info



%description
Tools which revolve around fiddling with dates and times on the command
line, with a strong focus on use cases that arise when dealing with large
amounts of financial data.


%prep
%setup -q

%build
%configure --disable-silent-rules --without-old-links
# see note in configure script for why we're passing CFLAGS explicitly here
make %{?_smp_mflags} CFLAGS="$CFLAGS"


%install
%make_install

rm -f %{buildroot}%{_infodir}/dir
# this is duplicated otherwise
rm -f %{buildroot}%{_datadir}/doc/%{name}/LICENSE


%check
make check


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.tzmcc
%{_datadir}/%{name}/locale


%changelog
* Tue Dec 13 2016 Matthew Miller <mattdm@fedoraproject.org> - 0.4.1-1
- upstream minor bugfix release 0.4.1

* Thu Jun  2 2016 Matthew Miller <mattdm@fedoraproject.org> - 0.4.0-1
- update to 0.4.0
- new "--isvalid" feature for datetest
- locale-based input and output
- various bugfixes

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Matthew Miller <mattdm@fedoraproject.org> - 0.3.5-1
- update to upstream 0.3.5 release (small bugfixes)

* Tue Sep  1 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.4-1
- update to upstream 0.3.4 release (bugfixes)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.3-3
- fix missing changelog. now with more changelog!
- don't duplicate the LICENSE file

* Thu Jun 11 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.3-2
- fix dist -> ?dist

* Thu Jun 11 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.3-1
- update to upstream 0.3.3 release; no more need for snapshots

* Mon Apr 27 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.2.git37.96a5495-1
- newer upstream snapshot
- upstream fixed the short-name manpages problem
- add comment on where snapshot comes from in git

* Wed Apr 22 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.2.git35.3e322eb-4
- treat upstream snapshot as minor release rather than snapshot
- temporary workaround to remove old short-name manpages

* Tue Apr 21 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.2-3.git35.3e322eb
- use upstream snapshot tarball instead of patch

* Thu Apr 16 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.2-2.20150415git%
- pull in patches from upstream to address potential name
  conflict with EL package + other minor issues
- include LICENSE as upstream now does (with this patch)

* Thu Mar 05 2015 Matthew Miller <mattdm@fedoraproject.org> - 0.3.2-1
- update to latest version

* Thu Mar  5 2015 Matthew Miller <mattdm@fedoraproject.org> 0.3.1-2
- add make check
- cflags fix

* Tue Mar  3 2015 Matthew Miller <mattdm@fedoraproject.org> 0.3.1-1
- initial package
